<?php

namespace Drupal\degov_common\Routing;


use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Listens to the dynamic route events.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * Alters existing routes for a specific collection.
   *
   * @param \Symfony\Component\Routing\RouteCollection $collection
   *   The route collection for adding routes.
   */
  protected function alterRoutes(RouteCollection $collection) {
    if ($route = $collection->get('entity.media.canonical')) {
      $route->setDefault('_controller', '\Drupal\degov_common\Controller\MediaViewController::view');
      $route->setDefault('_title_callback', '\Drupal\degov_common\Controller\CommonController::mediaTitle');
    }
  }
}
